<?php


//CSSファイルを読み込む
function theme_name_scripts() {
	wp_enqueue_style( 'reset-style', get_template_directory_uri() .'/reset.css' );
	wp_enqueue_style( 'main-style', get_stylesheet_uri() .'?ver=<?php echo date("U"); ?>' );
}
add_action( 'wp_enqueue_scripts', 'theme_name_scripts' );


//コメントのスクリプトを読み込む
function my_script() {
	wp_enqueue_script( 'comment-reply' ); 
 	wp_enqueue_script( 'jquery' );
	}
add_action( 'wp_enqueue_scripts' , 'my_script');


//コンテンツの横幅
if( !isset( $content_width ) ) {
	$content_width = 630;
}

//画像のサイズ（large）
add_image_size( 'large', 630, 999, false );


//エディタスタイルシート
add_editor_style();


//ウィジェットエリアを作成
register_sidebar( array(
	'id' => 'column1',
	'name' => 'ブログサイドバー1段目',
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h1 class="widgettitle">',
	'after_title'   => '</h1>',
) );

register_sidebar( array(
	'id' => 'column2',
	'name' => 'ブログサイドバー2段目',
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h1 class="widgettitle">',
	'after_title'   => '</h1>',
) );

register_sidebar( array(
	'id' => 'column3',
	'name' => '固定ページサイドバー1段目',
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h1 class="widgettitle">',
	'after_title'   => '</h1>',

) );

register_sidebar( array(
	'id' => 'column4',
	'name' => '固定ページサイドバー2段目',
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget' => '</aside>',
	'before_title' => '<h1 class="widgettitle">',
	'after_title'   => '</h1>',

) );

//検索フォーム
add_theme_support( 'html5' , array( 'search-form' ) );

//アイキャッチ画像
add_theme_support( 'post-thumbnails' );

//カスタム背景
add_theme_support( 'custom-background' );

//カスタムロゴ
add_theme_support( 'custom-logo' , array( 
	 'width' => 300,
	 'height' => 150,
) );


//カスタムナビメニュー
register_nav_menu( 'navigation','ナビゲーションメニュー');

?>